Page MenuHomePhabricator

AbuseFilter matches wrongly edits during cxsave
Closed, ResolvedPublic

Description

While working on translation of some article from English to Hebrew I noticed I get warnings due to AbuseFilter that matched my edit.

Debug info:
*I see in the background API request with action=cxsave, which saves a backup for the current work
*In the results cxsave.validations.mwWA.<SHORT ARTICLES> (יצירת ערכים קצרים מאוד)

This filter is defined more or less as follows: (article_namespace == 0) & (article_recent_contributors == "") & (new_size < 200)
I don't know why it does match to a WIP translation, which is much larger than 200 bytes (I guess AB sees new_size=0 since it isn't yet "saved").

I added to the AB filter action=="edit" as a workaround. (doesn't work)

Event Timeline

eranroz created this task.Feb 27 2016, 3:14 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 27 2016, 3:14 PM
eranroz updated the task description. (Show Details)Feb 27 2016, 3:26 PM

Does this still happen? I'm pretty sure that we fixed it.

Amire80 triaged this task as Medium priority.May 19 2016, 5:45 PM
Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.
Amire80 closed this task as Resolved.May 11 2017, 1:19 PM
Amire80 claimed this task.

As far as I know, this is fixed. Please reopen if needed.

Amire80 moved this task from Bugs to Needs Triage on the ContentTranslation board.May 11 2017, 1:19 PM